Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.configuration
Class TimerEventGenChannelConfiguration

    java.lang.Object
      com.bea.wli.management.configuration.TimerEventGenChannelConfiguration

All Implemented Interfaces:
  Serializable

    public class TimerEventGenChannelConfiguration

extends Object
implements Serializable

Represents a channel rule for a Timer Event Generator.

Rule Fields:

- effective - initial time to fire
- expiry - end time to fire
- frequency - how often to fire after effective

Other fields:

- channel - channel to send to if rules match
- comment - comment for this channel rule
- calendar-name - name of the business calendar used
- message-content - message to publish

See Also:
  `TimerEventGenConfigurationMBean`, Serialized Form

Constructor Summary
`TimerEventGenChannelConfiguration()`

Method Summary
`String` | `getCalendarName()` Returns the business calendar name of the channel rule
`String` | `getChannel()` Returns the Message Broker channel name of the channel rule
`String` | `getComment()` Returns the comment of the channel rule
`String` | `getEffective()` Returns the initial time of the channel rule
`long` | `getEffectiveTimestamp()` Returns the initial time of the channel rule in milliseconds since January 1, 1970, 00:00:00 GMT
`String` | `getExpiry()` Returns the expiry time of the channel rule
`long` | `getExpiryTimestamp()` Returns the expiry time of the channel rule in milliseconds since January 1, 1970, 00:00:00 GMT
`String` | `getFrequency()` Returns the frequency of the channel rule
`boolean` | `getHandleDst()` Get the handleDst attribute
`String` | `getLastUpdated()` Returns the last updated of the channel rule
`String` | `getMessageContent()` Returns the message content to publish of the channel rule
`String` | `getPublishAsUser()` Get the publishAsUser attribute
`boolean` | `getRecoverable()` Get the recoverable attribute
`boolean` | `getSkippable()` Get the skippable attribute
`String` | `getUniqueId()` Returns the unique Id of the channel rule
`void` | `setCalendarName(String calendarName)` Set the business calendar name of the channel rule
`void` | `setChannel(String channel)` Set the Message Broker channel name of this channel rule
`void` | `setComment(String comment)` Set comment of the channel rule
`void` | `setEffective(String effective)` Set the initial time of the channel rule.
`void` | `setExpiry(String expiry)` Set the expiry time of the channel rule.
`void` | `setFrequency(String frequency)` Set the frequency of the channel rule
`void` | `setHandleDst(boolean boolVal)` Set the handleDst attribute
`void` | `setLastUpdated(String lastUpdated)` Set lastUpdated of the channel rule
`void` | `setMessageContent(String messageContent)` Set the message content to publish of the channel rule
`void` | `setPublishAsUser(String publishAsUser)` Set the publishAsUser attribute
`void` | `setRecoverable(boolean recoverable)` Set the recoverable attribute
`void` | `setSkippable(boolean skippable)` Set the skippable attribute
`void` | `setUniqueId(String uniqueId)` Set uniqueId of the channel rule
`String` | `toString()` Returns a string representation of this channel

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TimerEventGenChannelConfiguration

    public TimerEventGenChannelConfiguration()

Method Detail

### toString

    public String toString()

  Returns a string representation of this channel

  Overrides:
    `toString` in class `Object`

### setChannel

    public void setChannel(String channel)

  Set the Message Broker channel name of this channel rule

  Parameters:
    `channel` - name of the Message Broker channel

### setComment

    public void setComment(String comment)

  Set comment of the channel rule

  Parameters:
    `comment` - comment of the channel rule

### setEffective

    public void setEffective(String effective)

  Set the initial time of the channel rule. The String argument must be of format compatible with `java.text.SimpleDateFormat("MMMMM dd, yyyy hh:mm:ss a z")` or `java.text.SimpleDateFormat("dd MMMMM yyyy HH:mm:ss z")` (backward compatible). For more information, see documentation for `java.text.SimpleDateFormat`.

  Parameters:
    `effective` - the initial time
  Throws:
    `IllegalArgumentException` - - If effective is not in valid format

### setExpiry

    public void setExpiry(String expiry)

  Set the expiry time of the channel rule. The String argument must be of format compatible with `java.text.SimpleDateFormat("MMMMM dd, yyyy hh:mm:ss a z")` or `java.text.SimpleDateFormat("dd MMMMM yyyy HH:mm:ss z")` (backward compatible). For more information, see documentation for `java.text.SimpleDateFormat`.

  Parameters:
    `expiry` - the expiry time
  Throws:
    `IllegalArgumentException` - - If expiry is not in valid format

### setFrequency

    public void setFrequency(String frequency)

  Set the frequency of the channel rule

  Parameters:
    `frequency` - how often to trigger the timer event

### setCalendarName

    public void setCalendarName(String calendarName)

  Set the business calendar name of the channel rule

  Parameters:
    `calendarName` - business calendar name

### setMessageContent

    public void setMessageContent(String messageContent)

  Set the message content to publish of the channel rule

  Parameters:
    `messageContent` - message to publish

### setPublishAsUser

    public void setPublishAsUser(String publishAsUser)

  Set the publishAsUser attribute

  Parameters:
    `publishAsUser` - property to set

### setHandleDst

    public void setHandleDst(boolean boolVal)

  Set the handleDst attribute

  Parameters:
    `boolVal` - boolean property to set

### setRecoverable

    public void setRecoverable(boolean recoverable)

  Set the recoverable attribute

  Parameters:
    `recoverable` - property to set
  Throws:
    `IllegalArgumentException` - if channel attributes Recoverable and Skippable are not mutually exclusive

### setUniqueId

    public void setUniqueId(String uniqueId)

  Set uniqueId of the channel rule

  Parameters:
    `uniqueId` - uniqueId of the channel rule

### setLastUpdated

    public void setLastUpdated(String lastUpdated)

  Set lastUpdated of the channel rule

  Parameters:
    `lastUpdated` - lastUpdated of the channel rule

### setSkippable

    public void setSkippable(boolean skippable)

  Set the skippable attribute

  Parameters:
    `skippable` - property to set
  Throws:
    `IllegalArgumentException` - if channel attributes Recoverable and Skippable are not mutually exclusive

### getChannel

    public String getChannel()

  Returns the Message Broker channel name of the channel rule

  Returns:
    the Message Broker channel name

### getComment

    public String getComment()

  Returns the comment of the channel rule

  Returns:
    the comment

### getEffective

    public String getEffective()

  Returns the initial time of the channel rule

  Returns:
    initial time

### getExpiry

    public String getExpiry()

  Returns the expiry time of the channel rule

  Returns:
    expiry time

### getFrequency

    public String getFrequency()

  Returns the frequency of the channel rule

  Returns:
    the frequency

### getCalendarName

    public String getCalendarName()

  Returns the business calendar name of the channel rule

  Returns:
    the business calendar name

### getMessageContent

    public String getMessageContent()

  Returns the message content to publish of the channel rule

  Returns:
    the message to publish

### getEffectiveTimestamp

    public long getEffectiveTimestamp()

  Returns the initial time of the channel rule in milliseconds since January 1, 1970, 00:00:00 GMT

  Returns:
    initial time in milliseconds since January 1, 1970, 00:00:00 GMT

### getExpiryTimestamp

    public long getExpiryTimestamp()

  Returns the expiry time of the channel rule in milliseconds since January 1, 1970, 00:00:00 GMT

  Returns:
    expiry time in milliseconds since January 1, 1970, 00:00:00 GMT

### getPublishAsUser

    public String getPublishAsUser()

  Get the publishAsUser attribute

  Returns:
    publishAsUser attribute

### getHandleDst

    public boolean getHandleDst()

  Get the handleDst attribute

  Returns:
    handleDst attribute

### getRecoverable

    public boolean getRecoverable()

  Get the recoverable attribute

  Returns:
    recoverable attribute

### getUniqueId

    public String getUniqueId()

  Returns the unique Id of the channel rule

  Returns:
    the channel rule unique id

### getLastUpdated

    public String getLastUpdated()

  Returns the last updated of the channel rule

  Returns:
    the channel rule last updated

### getSkippable

    public boolean getSkippable()

  Get the skippable attribute

  Returns:
    skippable attribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD